Inflater
Date: 2016-06-24

java.util.zip

## Class Inflater

- java.lang.Object
- - java.util.zip.Inflater

-     public class Inflater
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Inflater()`
    `Inflater(boolean var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `end()`
    `protected void` | `finalize()`
    `boolean` | `finished()`
    `int` | `getAdler()`
    `int` | `getRemaining()`
    `int` | `getTotalIn()`
    `int` | `getTotalOut()`
    `int` | `inflate(byte[] var0)`
    `int` | `inflate(byte[] var0, int var1, int var2)`
    `boolean` | `needsDictionary()`
    `boolean` | `needsInput()`
    `void` | `reset()`
    `void` | `setDictionary(byte[] var0)`
    `void` | `setDictionary(byte[] var0, int var1, int var2)`
    `void` | `setInput(byte[] var0)`
    `void` | `setInput(byte[] var0, int var1, int var2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Inflater

          public Inflater()

    - #### Inflater

          public Inflater(boolean var0)

  - ### Method Detail

    - #### end

          public void end()

    - #### finalize

          protected void finalize()

      Overrides:
        `finalize` in class `Object`

    - #### finished

          public boolean finished()

    - #### getAdler

          public int getAdler()

    - #### getRemaining

          public int getRemaining()

    - #### getTotalIn

          public int getTotalIn()

    - #### getTotalOut

          public int getTotalOut()

    - #### inflate

          public int inflate(byte[] var0)
                      throws DataFormatException

      Throws:
        `DataFormatException`

    - #### inflate

          public int inflate(byte[] var0,
                    int var1,
                    int var2)
                      throws DataFormatException

      Throws:
        `DataFormatException`

    - #### needsDictionary

          public boolean needsDictionary()

    - #### needsInput

          public boolean needsInput()

    - #### reset

          public void reset()

    - #### setDictionary

          public void setDictionary(byte[] var0)

    - #### setDictionary

          public void setDictionary(byte[] var0,
                           int var1,
                           int var2)

    - #### setInput

          public void setInput(byte[] var0)

    - #### setInput

          public void setInput(byte[] var0,
                      int var1,
                      int var2)